User visible changes in the firmware version 3.4.4 since version 3.4.3.

                             Highlights.

1. Fixed problem of GALILEO tracking when "normal" strobe is used.

2. Fixed bug in naming files when '/par/cmd/create/date' is set to
   'day' and no time is available (get rid of negative day numbers).

3. New GALILEO and GLONASS tracking parameters implemented.

4. GISMORE: do not allow to turn off the only interface, Bluetooth.

5. Bluetooth: when turning it off by command sent through Bluetooth,
   first send the reply (if any), and only then turn the port off.

6. RS422: improve communication quality at 460800 baud.

7. Fixed very rare problem not tracking some systems and/or not
   measuring voltages after power-on.

8. SIGMA: fixed exception caused by sending the commands:
   %%init,/par/;%%init,/dev/nvm/a

9. File push (FTP push) feature has been implemented.

10. New parameter /par/rtcm3/base/svm has been implemented.

11. New parameters to report PTP state have been implemented.

                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

No changes.

                            2. Parameters.

2.1 New GALILEO tracking parameters

Enable GALILEO CBOC Tracking by PRN.

Name: /par/lock/gal/cboc
Access: rw
Type: array [1...30] of boolean
Values: {y|n,...,y|n}
Default: {n,y,n...,n}


Enable GALILEO E5A Tracking

Name: /par/lock/gal/e5a
Access: rw
Type: boolean
Values: on,off
Default: on


Enable GALILEO E5B Tracking

Name: /par/lock/gal/e5b
Access: rw
Type: boolean
Values: on,off
Default: on


Enable GALILEO altBoc tracking.

Name: /par/lock/gal/altboc
Access: rw
Type: boolean
Values: on,off
Default: on


2.2 New GLONASS tracking parameter.

Enable GONASS L3 Tracking.

Name: /par/lock/glo/l3
Access: rw
Type: boolean
Values: on,off
Default: on

2.3 File Push Parameters

The following parameters for new file push feature have been
implemented.

NOTE: file push feature currently supports only pushing on FTP server
(FTP push).

File Push Mode

Name:     /par/log/push/mode
Access:   rw
Type:     boolean
Values:   off,on
Default:  off

off - file push mode is off
on  - file push mode in on

File Push Reset

Name:     /par/log/push/reset
Access:   rw
Type:     boolean
Values:   off,on
Default:  off

Setting this parameter to 'on' clears the list of files to be
pushed and then the value of the parameter is set back to 'off'.

File Push Host

Name:     /par/log/push/host
Access:   rw
Type:     string[0...128]
Values:   <host name or IP address>
Default:  "192.168.2.1"

This parameter specifies destination host for file push. If it can be
parsed as IP address, the address is used, otherwise the value is
considered to be host name and DNS lookup using the name is performed
to get destination IP address.

File Push IP Port

Name:     /par/log/push/port
Access:   rw
Type:     integer
Values:   [1...65535]
Default:  26

This parameter specifies destination IP port for file push.

File Push User

Name:     /par/log/push/user
Access:   rw
Type:     string[0...32]
Values:   <any string>
Default:  "anonymous"

User name to login to the destination host. If set to empty string, no
attempt to send user name is performed.

File Push Password

Name:     /par/log/push/passwd
Access:   rw
Type:     string[0...32]
Values:   <any string>
Default:  ""

Password to login to the destination host. If set to empty string, no
attempt to send password is performed.

This parameter is never printed implicitly.

File Push Working Directory

Name:     /par/log/push/workdir
Access:   rw
Type:     string[0...128]
Values:   <any string>
Default:  ""

Working directory on the destination server to push files to. If set
to empty string, no attempt to send working directory to server is
performed.

File Push Timeout

Name:     /par/log/push/timeout
Access:   rw
Type:     integer [seconds]
Values:   [1...86400]
Default:  600

The period of inactivity of connection after which the connection is
terminated and another attempt to push file is preformed.

2.4 New parameter for RTCM3 base.

Maximum Number of Satellites for RTCM3 Messages

Name:     /par/rtcm3/base/svm
Access:   rw
Type:     integer [seconds]
Values:   [0...127]
Default:  0

This parameter affects RTCM3 messages containing per-satellite data. It allows to save
bandwidth of slow communication channels.

0 - all of the available satellites will be included in corresponding
    messages.

[1...127] - not more than the specified number of satellites will be
            included in corresponding messages. The satellites that
            will be excluded are those with lowest elevations.

2.5 PTP state parameters

PTP Port State

Name:     /par/net/ptp/stat/port
Access:   r
Type:     string
Values:   <human-readable string>


PTP Clock Synchronization State

Name:     /par/net/ptp/stat/clock
Access:   r
Type:     enumerated
Values:   no_sync,sync

                             3. Options.

3.1 TCCL option changed to support file push.

Bit #5 (0x10) in TCCL option enables file push feature.

                             4. Commands.

No changes.

<END>
